%define name popt
%define version 1.15
%define release %mkrel 9
 
%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}
%define devel_name %mklibname %{name} -d

Summary:	C library for parsing command line parameters
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
License:	MIT
Group:		System/Libraries
Url:		http://rpm5.org/files/popt/
Source0:	http://rpm5.org/files/popt/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but
it improves on them by allowing more powerful argument expansion.
Popt can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%package -n %{lib_name}
Summary:	Main %{name} library
Group:		System/Libraries
Requires:	%{name}-data = %{epoch}:%{version}
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{name} library.

%package -n %{devel_name}
Summary:	Development headers and libraries for %{name}
Group:		Development/C
Requires:	%{lib_name} = %{epoch}:%{version}
Requires:	%{lib_name} >= 1:1.15-8
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libpopt-devel = %{epoch}:%{version}-%{release}

%description -n %{devel_name} 
This package contains the header files and libraries needed for
developing programs using the %{name} library.

%package -n %{name}-data
Summary:	Data files for %{name}
Group:		System/Libraries

%description -n popt-data
This package contains popt data files like locales.

%prep
%setup -q

%build
%configure2_5x --libdir=/%{_lib} \
	--disable-rpath

%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %name

%clean
rm -rf %{buildroot}

%files -n %{lib_name}
%defattr(-,root,root)
%doc README
/%{_lib}/lib%{name}.so.%{lib_major}*

%files -n %{devel_name}
%defattr(-,root,root)
%{_includedir}/%{name}.h
/%{_lib}/lib%{name}*a
/%{_lib}/lib%{name}.so
%{_mandir}/man3/popt.*

%files -n %{name}-data -f %{name}.lang
%defattr(-,root,root)


%changelog
* Tue Feb 16 2010 Funda Wang <fwang@mandriva.org> 1:1.15-9mdv2010.1
+ Revision: 506724
- hard require libpackage release to prevent inexistent target

* Tue Feb 16 2010 Frederic Crozat <fcrozat@mandriva.com> 1:1.15-8mdv2010.1
+ Revision: 506600
- Move library to /lib(64), fixes Mdv bug #57649 (done in Fedora since 2007)

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:1.15-7mdv2010.0
+ Revision: 425086
- rebuild

* Sun Jun 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.15-6mdv2010.0
+ Revision: 390234
- disable rpath
- fix muxture of tabs and spaces

* Fri Jun 26 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:1.15-5mdv2010.0
+ Revision: 389422
- add missing Provides: in devel package

* Thu Jun 25 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:1.15-4mdv2010.0
+ Revision: 389007
- Add missing provides (neeeded by drakconf)

* Wed Jun 24 2009 Funda Wang <fwang@mandriva.org> 1:1.15-3mdv2010.0
+ Revision: 388832
- fix requires on epoch

* Wed Jun 24 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:1.15-2mdv2010.0
+ Revision: 388822
- Set epoch since libpopt0 from rpm 4.4 had an epoch set to 1

* Mon Jun 15 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.15-1mdv2010.0
+ Revision: 386017
- import popt


